Package org.codehaus.groovy.tools.javac

## Class JavaAwareResolveVisitor

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - org.codehaus.groovy.ast.ClassCodeVisitorSupport
    - - org.codehaus.groovy.ast.ClassCodeExpressionTransformer
      - - org.codehaus.groovy.control.ResolveVisitor
        - - org.codehaus.groovy.tools.javac.JavaAwareResolveVisitor

- All Implemented Interfaces:
    `ExpressionTransformer`, `GroovyClassVisitor`, `GroovyCodeVisitor`, `ErrorCollecting`

      public class JavaAwareResolveVisitor
      extends ResolveVisitor

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.control.ResolveVisitor

      `DEFAULT_IMPORTS, EMPTY_STRING_ARRAY, QUESTION_MARK`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaAwareResolveVisitor​(CompilationUnit cu)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addError​(String msg, ASTNode expr)` |
    `protected void` | `visitClassCodeContainer​(Statement code)` |
    `void` | `visitConstructor​(ConstructorNode node)` | Visit a ConstructorNode.

    - ### Methods inherited from class org.codehaus.groovy.control.ResolveVisitor

      `getSourceUnit, resolve, resolve, resolveFromCompileUnit, resolveFromDefaultImports, resolveFromDefaultImports, resolveFromModule, resolveFromStaticInnerClasses, resolveNestedClass, resolveToInner, resolveToOuter, setClassNodeResolver, startResolving, transform, transformAnnotationConstantExpression, transformBinaryExpression, transformClosureExpression, transformConstructorCallExpression, transformDeclarationExpression, transformMethodCallExpression, transformPropertyExpression, transformVariableExpression, visitAnnotations, visitBlockStatement, visitCatchStatement, visitClass, visitConstructorOrMethod, visitField, visitForLoop, visitProperty`

    - ### Methods inherited from class org.codehaus.groovy.ast.ClassCodeExpressionTransformer

      `setSourcePosition, visitAnnotation, visitAssertStatement, visitCaseStatement, visitDoWhileLoop, visitExpressionStatement, visitIfElse, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop`

    - ### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

      `visitBreakStatement, visitContinueStatement, visitDeclarationExpression, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitStatement, visitTryCatchFinally`

    - ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

      `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.GroovyCodeVisitor

      `visitEmptyExpression, visitListOfExpressions`

- - ### Constructor Detail

    - #### JavaAwareResolveVisitor

          public JavaAwareResolveVisitor​(CompilationUnit cu)

  - ### Method Detail

    - #### visitConstructor

          public void visitConstructor​(ConstructorNode node)

      Description copied from interface: `GroovyClassVisitor`
      Visit a ConstructorNode.
      Specified by:
        `visitConstructor` in interface `GroovyClassVisitor`
      Overrides:
        `visitConstructor` in class `ClassCodeVisitorSupport`

    - #### visitClassCodeContainer

          protected void visitClassCodeContainer​(Statement code)

      Overrides:
        `visitClassCodeContainer` in class `ClassCodeVisitorSupport`

    - #### addError

          public void addError​(String msg,
                               ASTNode expr)

      Specified by:
        `addError` in interface `ErrorCollecting`
      Overrides:
        `addError` in class `ClassCodeVisitorSupport`